curl --request GET \
--url https://api.instantly.ai/api/v2/inbox-placement-analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/inbox-placement-analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/inbox-placement-analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/inbox-placement-analytics")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/inbox-placement-analytics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/inbox-placement-analytics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a082d0-3300-748e-8d3f-0c69b920c5c6",
"timestamp_created": "2026-09-08T20:57:57.760Z",
"timestamp_created_date": "2026-09-08",
"organization_id": "01a082d0-3300-748e-8d3f-0c6aeaf4218c",
"test_id": "01a082d0-3300-748e-8d3f-0c6b771ca3dc",
"is_spam": true,
"has_category": true,
"sender_email": "sender@example.com",
"sender_esp": 1,
"recipient_email": "recipient@example.com",
"recipient_esp": 1,
"recipient_geo": 1,
"recipient_type": 1,
"spf_pass": true,
"dkim_pass": true,
"dmarc_pass": true,
"smtp_ip_blacklist_report": {},
"authentication_failure_results": {
"authentication_results": "Authentication-Results: smtp.local;\r\n\tdkim=pass header.d=gappssmtp.com\r\n header.b=ABC123",
"dkim_signature": "DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gappssmtp.com; s=20161025;\r\n h=mime-version:from:date:message-id:subject:to; bh=ABC123; b=ABC123",
"received_spf": "Received-SPF: pass"
},
"record_type": 1
}
],
"next_starting_after": "01a082d0-83eb-7fce-a1a7-a7202bf8caea"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}List inbox placement analytics
Requires one of the following scopes: inbox_placement_analytics:read, inbox_placement_analytics:all, all:read, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of items to return
1 <= x <= 10010
The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.
"01956fbd-0eb1-72db-a565-82977a586084"
"01a082d0-83eb-7fce-a1a7-a71f917703eb"
"2026-09-08T20:58:18.475Z"
"2026-09-08T20:58:18.475Z"
A comma-separated list of recipient geo values.
"1,2"
A comma-separated list of recipient type values.
"1,2"
A comma-separated list of recipient ESP values.
"1,2"
"john@doe.com"
Response
The list of Inbox Placement Analytics
The list of Inbox Placement Analytics
Show child attributes
Show child attributes
The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API
"01a082d0-83eb-7fce-a1a7-a7202bf8caea"
"2026-09-08T20:58:18.475Z"